Skip to main content
GET
/
cabinet
/
gift
/
config
Get Gift Config
curl --request GET \
  --url https://api.example.com/cabinet/gift/config \
  --header 'Authorization: Bearer <token>'
{
  "is_enabled": true,
  "tariffs": [],
  "payment_methods": [],
  "balance_kopeks": 0,
  "currency_symbol": "₽",
  "promo_group_name": "<string>",
  "active_discount_percent": 123,
  "active_discount_expires_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

is_enabled
boolean
required
tariffs
GiftConfigTariff · object[]
payment_methods
GiftConfigPaymentMethod · object[]
balance_kopeks
integer
default:0
currency_symbol
string
default:
promo_group_name
string | null
active_discount_percent
integer | null
active_discount_expires_at
string<date-time> | null